#!/usr/bin/python3

import unittest
from unittest.mock import patch

import jardin

class TestJardin(unittest.TestCase):
    @patch("selenium.webdriver.Firefox")
    def test_initialize_webdriver_calls_Firefox(self, mockFirefox):
        jardin.initialize_webdriver()

        mockFirefox.assert_called_once()

    @patch("jardin.initialize_webdriver")
    def test_main_calls_initialize_webdriver(self, mockInitializeWebdriver):
        jardin.main()

        mockInitializeWebdriver.assert_called_once()

if __name__ == "__main__":
    unittest.main()
